using System.Collections.Generic;
using SGModule.ConfigLoader;

namespace RedHotRoast
{
    [ConfigKey("FreeImageLibrary")]
    public class FreeImageLibrary
    {
        public int id;
        public string Name;
        public int State;


    }
    [ConfigKey("ADImageLibrary")]
    public class ADImageLibrary
    {
        public int id;
        public string Name;
        public int State;
        public int GoldCoins;
    }
    [ConfigKey("SpecialImageLibrary")]
    public class SpecialImageLibrary
    {
        public int id;
        public string Name;
        public int State;
        public int GoldCoins;
    }
    [ConfigKey("VIPImageLibrary")]
    public class VIPImageLibrary
    {
        public int id;
        public string Name;
        public int State;
        public int GoldCoins;
    }

    
    [ConfigKey("FreeImageLibrary_A")]
    public class FreeImageLibrary_A
    {
        public int id;
        public string Name;
        public int State;
    }
    [ConfigKey("ADImageLibrary_A")]
    public class ADImageLibrary_A
    {
        public int id;
        public string Name;
        public int State;
        public int GoldCoins;
    }
    [ConfigKey("SpecialImageLibrary_A")]
    public class SpecialImageLibrary_A
    {
        public int id;
        public string Name;
        public int State;
        public int GoldCoins;
    }
    [ConfigKey("VIPImageLibrary_A")]
    public class VIPImageLibrary_A
    {
        public int id;
        public string Name;
        public int State;
        public int GoldCoins;
    }

}